Audio adapter testing overview

These procedures guide you through the process of testing your product for proper functionality under the Microsoft® Windows® XP Professional operating system.

You must run all of the standard audio adapter tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a keyboard that contains a glide pad must complete the keyboard tests and the pointing drawing tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the Hardware Compatibility Test (HCT) kit.

Click to show or hide information. Standard audio adapter tests

These tests are required for all audio adapters, and can be run in any order.

  • AC-3 Driver
  • ACPI Stress - Device I/O (Extended)
  • Audio Power Management (Lullaby)
  • ChkINF
  • Digital Rights Management
  • DirectMusic Driver
  • DirectSound Driver
  • Driver Verifier - Audio
  • Enable/Disable - Device I/O (Audio)
  • Full Duplex
  • KS Audio Position Accuracy
  • KS DirectMusic Filter
  • MIDI Driver
  • Mixer Driver
  • PC Audio Requirements
  • Public Import
  • Setup
  • Setup Wizard
  • Signability
  • Surprise Removal
  • Wave Driver

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximately 7 to 8 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Audio Adapter HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

Important: The PC Audio Requirements test and the Audio Power Management (Lullaby) test require two systems: one designated as the test or host system, and one designated as the server or remote system.

Test/host system

  • One test device
  • AC-3 decoding device (such as a home theatre receiver)

If the test device has a digital output (such as a S/PDIF out) through which the AC-3 stream passes, attach an AC-3 decoding device to the test device so that the output can be monitored audibly.

  • One Intel Pentium, or equivalent, test system that includes the following:
  • 256 MB of RAM
  • Minimum 24x CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One loop back cable with 1/8" male-to-male stereo plugs
  • One MIDI loop back connector
  • One set of external speakers

Monophonic test devices must be capable of outputting sound to both speakers via the 3.5mm stereo connector.

  • FoxFire II PCI adapter

Server/remote system

  • One test device, identical to test device in test/host system
  • One Intel Pentium, or equivalent, test system that includes the following:
  • 256 MB of RAM
  • Minimum 24x CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One loop back cable with 1/8" male-to-male stereo plugs

Important: Each system (both test/host and server/remote) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Audio HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for audio devices, testers must know how to do the following tasks:

  • Connect test systems to the network domain.
  • Physically install the test device, if necessary.
  • Physically connect the AC-3 decoding device to the test device, if supported.
  • Physically install the FoxFire II PCI adapter.
  • Connect the external speakers.
  • Install the Windows XP Professional operating system from the product CD.
  • Verify that Windows MIDI, audio, and mixer drivers are installed and operational.
  • Disable Windows XP power management feature for passwords.
  • Install the Windows XP HCT 10.0.

Click to show or hide information. Development resources

  • Microsoft DirectX® Software Development Kit (DirectX SDK) application programming interface and software
  • Microsoft DirectX Driver Development Kit (DirectX DDK) application programming interface and software
  • Microsoft Driver Development Kit (DDK) for Windows XP

Related links

Preparing for audio adapter testing
FoxFire II PCI adapter

Microsoft Windows HCL


Preparing for audio adapter testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

All audio tests require a test or host system; however, the Audio Power Management (Lullaby) test and the PC Audio Requirements test require two systems: one designated as the test or host system, and one designated as the server or remote system.

For a complete list of required hardware, software, and tester knowledge, see the Audio adapter testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for audio testing for the Windows XP Professional operating system.

To configure the test system for audio testing

  1. Install the Windows XP Professional operating system, and Windows MIDI, audio, and mixer drivers from the product CD on the test system(s).
  2. In Control Panel, click Performance and Maintenance, click Power Options, click the Advanced tab, clear the Prompt for password when computer resumes from sleep box, and then click OK.
  3. Physically install the test device, if necessary, on the test system(s).
  4. Connect the AC-3 decoding device to the test device, if supported, on the test system.
  5. Install the FoxFire II PCI adapter on the test system.
  6. Connect the external speakers to the test system.
  7. Install the Windows XP HCT 10.0 on the test system(s).

Test notes

  • Tests may fail to run on the first attempt. If this occurs, re-run the test.
  • Using more than one audio card in each system can result in test failures
  • Modems or wave devices not involved in the test can result in test failures. It is recommended that these devices be disabled before the audio tests are run.

Related links


AC-3 Driver test

This test verifies that each enumerated KSCATEGORY_AUDIO, KSCATEGORY_RENDER filter that exposes AC-3 format pins is compliant with the Windows® DDK documentation regarding implementation of AC-3 format pins.

The AC-3 test also verifies that the filter supports AC-3 streaming through the wave and DirectSound® application programming interfaces (API).

Run time: 10 minutes

Log file name: Ac3test.log

Operating system: Windows XP Professional

Test assertions: Chapter 16

Hardware requirements

If the test device has a digital output (such as a S/PDIF out) through which the AC-3 stream passes, attach an AC-3 decoding device to the test device so that the output can be monitored audibly.

Related links

Running the AC-3 Driver test


Audio Power Management (Lullaby) test

Important: This test is not available in the Windows® XP HCT 10.0 on 64-bit platforms.

This test verifies the behavior of the audio subsystem before, during, and after S1 suspend cycles. Synchronous and asynchronous test cases are evaluated.

For audio quality testing, two systems connected to a network are required. Designate one system as the test or host system, and designate a second system as the server or remote system. You must install the operating system, test device, and Windows® XP HCT 10.0 in each system.

Run time: 1 to 4 hours

Log file name: Lullabyst.log

Operating system: Windows XP Professional

Test assertions: Chapter 16.

Hardware requirements

Test/host system

  • One test device
  • One Intel Pentium, or equivalent, test system that includes the following:
  • 256 MB of RAM
  • Minimum 24x CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One loop back cable with 1/8" male-to-male stereo plugs

Server/remote system

  • One test device, identical to test device in test/host system
  • One Intel Pentium, or equivalent, test system that includes the following:
  • 256 MB of RAM
  • Minimum 24x CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One loop back cable with 1/8" male-to-male stereo plugs

Important: Each system (both test/host and server/remote) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Related links


Digital Rights Management test

This test verifies that the test device and driver cooperate with system components to protect the copyrighted digital audio stream. The test creates copyrighted streams with different usage rights to test the audio subsystem.

For example, if the usage rights indicate that the loop back capture should be disabled, the test verifies that the audio subsystem has correctly disabled loop back capture.

Run time: 10 minutes

Log file name: Drmtest.log

Operating system: Windows® XP Professional

Test assertions: Chapter 16.

Related links

Running the Digital Rights Management test


Full Duplex test

This test verifies that the hardware/driver combination can perform various full-duplex operations with different combinations of application programming interfaces (APIs), including:

  • DirectSound®/DirectSoundCapture
  • DirectSound/WaveIn
  • WaveIn /WaveOut (NULL notification)
  • WaveIn/WaveOut (Event notification)
  • WaveIn/WaveOut (Callback function notification)
  • WaveOut/DirectSoundCapture

Run time: 45 to 60 minutes

Log file name: Fduplex.log

Operating system: Windows® XP Professional

Test assertions: Chapter 11 and Chapter 16.

Hardware requirements

One loop back cable with 1/8" male-to-male stereo plugs

Related links

Running the Full Duplex test


Setup

This setup utility runs on the server/remote system before the Audio Power Management (Lullaby) test and the PC Audio Requirements test run on the test/host system.

Related links


KS Audio Position Accuracy test

This test verifies position accuracy of audio kernel streaming (KS) filters. It bypasses all audio application programming interfaces (API) and KS filters such as KMixer, to accurately and directly test the audio device. Positional information is determined using the KSPROPSETID_Audio.KSPROPERTY_AUDIO_POSITION property.

Run time: 10

Log file name: Kspostst.log

Operating system: Windows® XP Professional

Test assertions: Chapter 16

Related links

Running the KS Audio Position Accuracy test


KS DirectMusic Filter test

This test validates the functionality of DirectMusic® synthesizers through direct (IOCTL) calls. It sends MIDI and DLS data to the synthesizer (KS filter) being tested, and exercises its property handlers. The filter must be able to handle invalid DLS, MIDI, and property data.

Run time: 10 minutes

Log file name: Ksdmtst.log

Operating system: Windows XP Professional

Test assertions: Chapter 16

Related links

Running the KS DirectMusic Filter test


MIDI Driver test

This test verifies that an audio device complies with the requirements for the MIDI family of multimedia application program interfaces (APIs) in the Multimedia SDK documentation.

Note: If the test device does not support MIDI recording, all the MIDI recording test cases will return a "pending" result. Pending results are not considered failures, and do not affect the overall status of the tests.

Run time: 10 minutes

Log file name: Middrv32.log

Operating system: Windows® XP Professional

Test assertions: Chapter 16.

Hardware Requirements

One MIDI loop back connector

Related links

Running the MIDI Driver test


Mixer Driver test

This test verifies that the mixer topology exposed by the audio driver is parsed correctly by the audio subsystem. This ensures that SndVol32 and other applications using Mixer API do not encounter unexpected problems.

Run time: 15 minutes

Log file name: Mixdrv32.log

Operating system: Windows® XP Professional

Test assertions: Chapter 16.

Related links

Running the Mixer Driver test


PC Audio Requirements test

This test verifies that the test device does not connect to an ISA bus, the audio subsystem supports basic data formats in full duplex, the test device meets the requirements for WDM driver support, and the applications provided with the device meet Win32 requirements.

For audio quality testing, two systems connected to a network are required. Designate one system as the test/host system, and designate a second system as the server/remote/ system. You must install the operating system, test device, and Windows® XP HCT 10.0 on each system.

Run time: 30 minutes

Log file name: Pcaudreqst.log

Operating system: Windows XP Professional

Test assertions: Chapter 16.

Hardware requirements

Test/host system

  • One test device
  • One Intel Pentium, or equivalent, test system that includes the following:
  • 256 MB of RAM
  • Minimum 24x CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One loop back cable with 1/8" male-to-male stereo plugs

Server/remote system

  • One test device, identical to test device in test/host system
  • One Intel Pentium, or equivalent, test system that includes the following:
  • 256 MB of RAM
  • Minimum 24x CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: Each system (both test/host and server/remote) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • One loop back cable with 1/8" male-to-male stereo plugs

Related links


Setup Wizard

This setup utility starts on the test/host system before running the Audio Power Management (Lullaby) test and the PC Audio Requirements test.

Related links


Wave Driver test

This test verifies that an audio device complies with the requirements for the wave family of multimedia application program interfaces (APIs) in the Multimedia SDK documentation.

Run time: 60 to 90 minutes

Log file name: Wavdrv32.log

Operating system: Windows® XP Professional

Test assertions: Chapter 16.

Related links

Running the Wave Driver test


Audio global effects filter testing overview

These procedures guide you through the process of testing your product for proper functionality under the Microsoft® Windows® XP operating system. You must run all of the standard audio global effects filter tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a keyboard that contains a glide pad must complete the keyboard tests and the pointing drawing tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the Hardware Compatibility Test (HCT) kit.

Click to show or hide information. Standard audio global effects filter tests

These tests are required for all audio devices, and can be run in any order.

  • Audio Power Management (Lullaby)
  • ChkINF
  • Digital Rights Management
  • Driver Verifier - Global Effects Filter (Audio)
  • Enable/Disable - Device I/O (Audio)
  • Global FX Filter
  • PC Audio Requirements
  • Public Import
  • Setup
  • Setup Wizard
  • Signability

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximately 7 to 8 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Audio global effects filter HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

Important: The PC Audio Requirements test and the Audio Power Management (Lullaby) test require two systems: one designated as the test or host system, and one designated as the server or remote system.

Test/host system

  • One test device
  • One Intel Pentium, or equivalent, system that includes the following:
  • 256 MB of RAM
  • Minimum 24x CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One loop back cable with 1/8" male-to-male stereo plugs
  • One set of external speakers

Monophonic test devices must be capable of outputting sound to both speakers via the 3.5mm stereo connector.

  • FoxFire II PCI adapter

Server/remote system

  • One test device, identical to test device in test/host system
  • One Intel Pentium, or equivalent, system that includes the following:
  • 256 MB of RAM
  • Minimum 24x CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One loop back cable with 1/8" male-to-male stereo plugs

Important: The Each system (both test/host and server/remote) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Audio global effects filter HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for audio global effects filter devices, testers must know how to do the following tasks:

  • Connect test systems to the network domain.
  • Physically install the test device, if necessary.
  • Verify that the test device drivers are installed and operational.
  • Physically install the FoxFire II PCI adapter.
  • Connect the external speakers.
  • Install the Windows XP Professional operating system from the product CD.
  • Disable Windows XP power management feature for passwords.
  • Install the Windows XP HCT 10.0.

Click to show or hide information. Development resources

  • Microsoft DirectX® Software Development Kit (DirectX SDK) application programming interface and software
  • Microsoft DirectX Driver Development Kit (DirectX DDK) application programming interface and software
  • Microsoft Driver Development Kit (DDK) for Windows XP Professional

Related links

Preparing for audio global effects filter testing
FoxFire II PCI adapter

Microsoft Windows HCL


Preparing for audio global effects filter testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

All audio tests require a test or host system; however, the ACPI Compliance test and the PC 99 Audio test require two systems: one designated as the test or host system, and one designated as the server or remote system.

For a complete list of required hardware, software, and tester knowledge, see Audio global effects filter testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for audio global effects filter testing for the Windows XP Professional operating system.

To configure the test system for audio global effects filter testing

  1. Install the Windows XP operating system from the product CD on the test system(s).
  2. In Control Panel, click Performance and Maintenance, click Power Options, click the Advanced tab, clear the Prompt for password when computer resumes from sleep box, and then click OK.
  3. Physically install the test device, if necessary, on the test system(s).
  4. Install the FoxFire II PCI adapter on the test system.
  5. Connect the external speakers to the test system.
  6. Install the Windows XP HCT 10.0 on the test system(s).

Test notes

  • Tests may fail to run on the first attempt. If this occurs, re-run the test.
  • Using more than one audio card in each system can result in test failures
  • Modems or wave devices not involved in the test can result in test failures. It is recommended that these devices be disabled before the audio tests are run.

Related links


Global FX Filter test

This test validates the basic functionality of kernel streaming (KS) filters that are intended as global effects (GFX) filters, including data range and data intersection handlers, which are especially important for GFX functionality. The test also verifies that the filter conforms to the DRM requirements for GFX Filters.

Run time: 10 minutes

Log file name: Gfxtest.log

Operating system: Windows® XP Professional

Test assertions: Chapter 16

Related links

Running the Global FX Filter


Audio software synthesizer testing overview

These procedures test your product for proper functionality under the Microsoft® Windows® XP operating system. You must run all of the standard audio software synthesizer tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a keyboard that contains a glide pad must complete the keyboard tests and the pointing drawing tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. Standard audio software synthesizer tests

These tests are required for all audio software synthesizer devices, and can be run in any order.

  • Audio Power Management (Lullaby)
  • ChkINF
  • Driver Verifier - Software Synthesizer (Audio)
  • DirectMusic Driver
  • Enable/Disable - Device I/O (Audio)
  • KS DirectMusic Filter
  • MIDI Driver
  • PC Audio Requirements
  • Setup
  • Setup Wizard
  • Signability

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximately 7 to 8 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Audio software synthesizer HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

Important: The PC Audio Requirements test and the Audio Power Management (Lullaby) test require two systems: one designated as the test or host system, and one designated as the server or remote system.

Test/host system

  • One test device
  • One Intel Pentium, or equivalent, system that includes the following:
  • 256 MB of RAM
  • Minimum 24x CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One loop back cable with 1/8" male-to-male stereo plugs
  • One set of external speakers

Monophonic test devices must be capable of outputting sound to both speakers via the 3.5mm stereo connector.

  • FoxFire II PCI adapter

Server/remote system

  • One test device, identical to test device in test/host system
  • One Intel Pentium, or equivalent, system that includes the following:
  • 256 MB of RAM
  • Minimum 24x CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One loop back cable with 1/8" male-to-male stereo plugs

Important: The Each system (both test/host and server/remote) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Audio software synthesizer HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for audio software synthesizers, testers must know how to do the following tasks:

  • Connect test systems to the network domain.
  • Physically install the test device, if necessary.
  • Physically install the FoxFire II PCI adapter.
  • Connect the external speakers.
  • Install the Windows XP Professional operating system from the product CD.
  • Verify that Windows MIDI and audio drivers are installed and operational.
  • Disable Windows XP power management feature for passwords.
  • Install the Windows XP HCT 10.0.

Click to show or hide information. Development resources

  • Microsoft DirectX® Software Development Kit (DirectX SDK) application programming interface and software
  • Microsoft DirectX Driver Development Kit (DirectX DDK) application programming interface and software
  • Microsoft Driver Development Kit (DDK) for Windows XP Professional

Related links

Preparing for audio software synthesizer testing
FoxFire II PCI adapter

Microsoft Windows HCL


Preparing for audio software synthesizer testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

All audio tests require a test or host system; however, the ACPI Compliance test and the PC 99 Audio test require two systems: one designated as the test or host system, and one designated as the server or remote system.

For a complete list of required hardware, software, and tester knowledge, see the Audio software synthesizer testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for audio testing for the Windows XP Professional operating system.

To configure the test system for audio software synthesizer testing

  1. Install the Windows XP operating system, and Windows MIDI and audio drivers from the product CD on the test system(s).
  2. In Control Panel, click Performance and Maintenance, click Power Options, click the Advanced tab, clear the Prompt for password when computer resumes from sleep box, and then click OK.
  3. Physically install the test device, if necessary, on the test system(s).
  4. Install the FoxFire II PCI adapter on the test system.
  5. Connect the external speakers to the test system.
  6. Install the Windows XP HCT 10.0 on the test system(s).

Test notes

  • Tests may fail to run on the first attempt. If this occurs, re-run the test.
  • Using more than one audio card in each system can result in test failures
  • Modems or wave devices not involved in the test can result in test failures. It is recommended that these devices be disabled before the audio tests are run.

Related links


Running the Global FX Filter test

To run the Global FX Filter test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Global FX Filter, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Digital Rights Management test

To run the Digital Rights Management test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Digital Rights Management, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.
  5. View test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the KS Audio Position Accuracy test

To run the KS Audio Position Accuracy test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select KS Audio Position Accuracy, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the MIDI Driver test

To install the MIDI loop back connector (if supported)

Install the MIDI loop back connector to the Input/Output port on the test device.

To run the MIDI Driver test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select MIDI Driver, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Mixer Driver test

To run the Mixer Driver test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Mixer Driver, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Wave Driver test

To run the Wave Driver test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Wave Driver, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Full Duplex test

To configure the test system

Connect the loop back cable to the test system using one of the following configurations. Any other connection setting can cause failures.

  • Configuration 1: If the test device has a microphone input, connect the loop back cable from the speaker (LineOut) to the microphone input.
  • Configuration 2: If the test device does not have a microphone input, connect the loopback cable from the speaker (LineOut) to LineIn.

To run the Full Duplex test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Full Duplex, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the KS DirectMusic Filter test

To run the KS DirectMusic Filter test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select KS DirectMusic Filter, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Audio Power Management (Lullaby) test

Important: This test is not available in the Windows® XP HCT 10.0 on 64-bit platforms.

Use the test procedures listed below to perform the following tasks in the order indicated:

  1. To join a network domain
  2. To add a user with Administrator-level permissions
  3. To log off as Administrator and log on as new user
  4. To connect the test/host system to the server/remote system
  5. To install Windows XP HCT 10.0
  6. To run Setup on the server/remote system
  7. To run Setup Wizard on the test/host system
  8. To run the Audio Power Management (Lullaby) test on the test/host system

To join a network domain

Important: You must have Administrator permissions to perform this task.

  1. Type your Administrator name and password in the Log on to Windows dialog box.
  2. Click the Start button and click Control Panel.
  3. In the Control Panel window, click Performance and Maintenance.
  4. In the Performance and Maintenance window, click System.
  5. In the System Properties dialog box, click the Computer Name tab, and then click Change.
  6. In the Computer Name Changes dialog box, click Domain, then type your valid domain name in the Domain box, and then click OK.
  7. When prompted, click OK to restart the system.

To add a user with Administrator-level permissions

Important: You must have Administrator permissions to perform this task.

  1. Type your Administrator name and password in the Log on to Windows dialog box.
  2. Click the Start button and click Control Panel.
  3. In the Control Panel window, click Performance and Maintenance.
  4. In the Performance and Maintenance windows, click Administrative Tools.
  5. In the Administrative Tools window, double-click Computer Management.
  6. In the left pane of the Computer Management window, expand the Local Users and Groups folder, and then select the Groups folder.
  7. In the right pane of the Computer Management window, right-click Administrator, and then click Properties.
  8. In the Administrators Properties dialog box, click Add, type your domain and the user name for the system in the Name box using this format: [domain]\[User_Name].
  9. Click OK twice.
  10. Close all open windows.

To log off as Administrator and log on as new user

  1. Click the Start button and click Shutdown.
  2. In the What do you want the computer to do? dialog box, select Log off, and click OK.
  3. Press the Ctrl+Alt+Del keys.
  4. In the Log on to Windows dialog box, type the user name, password, and domain that you created in the "To add a user with Administrator permissions" task, and then click OK.

To connect the test/host system to the server/remote system

  1. Connect a loop back cable from the LineIN connector on the test/host system to the LineOut connector on the server/remote system.
  2. Connect a second loop back cable from the LineOut connector on the test/host system to the LineIN connector on the server/remote system.

To install Windows XP HCT 10.0

  1. On the test/host system, install the Windows XP HCT 10.0. At the Client/Server Test Setup window, install the appropriate Audio program category as the "System under test."

By default, all installed program categories are selected to run on the test system.

  2. On the server/remote system, install the Windows XP HCT 10.0. At the Client/Server Test Setup window, install the appropriate Audio program category as the "server-side" test.

You must select the check box next to the category name to install server-side tests.

To run Setup on the server/remote system

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Setup, and then click Add Selection.
  3. Click Start Tests.

To run Setup Wizard on the test/host system

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Setup Wizard, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.

To run the Audio Power Management (Lullaby) test on the test/host system

  1. At the Test Manager window in the Available Tests for Selected Test Category pane, select Audio Power Management (Lullaby), and then click Add Selection.
  2. Click Start Tests.
  3. When the test is completed, view test log files.
  4. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the AC-3 Driver test

To run the AC-3 Driver test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select AC-3 Driver, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the PC Audio Requirements test

Use the test procedures listed below to perform the following tasks in the order indicated:

  1. To join a network domain
  2. To add a user with Administrator-level permissions
  3. To log off as Administrator and log on as new user
  4. To connect the test/host system to the server/remote system
  5. To install Windows XP HCT 10.0
  6. To run Setup on the server/remote system
  7. To run Setup Wizard on the test/host system
  8. To run the PC Audio Requirements test on the test/host system

To join a network domain

Important: You must have Administrator permissions to perform this task.

  1. Type your Administrator name and password in the Log on to Windows dialog box.
  2. Click the Start button and click Control Panel.
  3. In the Control Panel window, click Performance and Maintenance.
  4. In the Performance and Maintenance window, click System.
  5. In the System Properties dialog box, click the Computer Name tab, and then click Change.
  6. In the Computer Name Changes dialog box, click Domain, then type your valid domain name in the Domain box, and then click OK.
  7. When prompted, click OK to restart the system.

To add a user with Administrator-level permissions

Important: You must have Administrator permissions to perform this task.

  1. Type your Administrator name and password in the Log on to Windows dialog box.
  2. Click the Start button and click Control Panel.
  3. In the Control Panel window, click Performance and Maintenance.
  4. In the Performance and Maintenance windows, click Administrative Tools.
  5. In the Administrative Tools window, double-click Computer Management.
  6. In the left pane of the Computer Management window, expand the Local Users and Groups folder, and then select the Groups folder.
  7. In the right pane of the Computer Management window, right-click Administrator, and then click Properties.
  8. In the Administrators Properties dialog box, click Add, type your domain and the user name for the system in the Name box using this format: [domain]\[User_Name].
  9. Click OK twice.
  10. Close all open windows.

To log off as Administrator and log on as new user

  1. Click the Start button and click Shutdown.
  2. In the What do you want the computer to do? dialog box, select Log off, and click OK.
  3. Press the Ctrl+Alt+Del keys.
  4. In the Log on to Windows dialog box, type the user name, password, and domain that you created in the "To add a user with Administrator permissions" task, and then click OK.

To connect the test/host system to the server/remote system

  1. Connect a loop back cable from the LineIN connector on the test/host system to the LineOut connector on the server/remote system.
  2. Connect a second loop back cable from the LineOut connector on the test/host system to the LineIN connector on the server/remote system.

To install Windows XP HCT 10.0

  1. On the test/host system, install the Windows XP HCT 10.0. At the Client/Server Test Setup window, install the appropriate Audio program category as the "System under test."

By default, all installed program categories are selected to run on the test system.

  2. On the server/remote system, install the Windows XP HCT 10.0. At the Client/Server Test Setup window, install the appropriate Audio program category as the "server-side" test.

You must select the check box next to the category name to install server-side tests.

To run Setup on the server/remote system

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Setup, and then click Add Selection.
  3. Click Start Tests.

To run Setup Wizard on the test/host system

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Setup Wizard, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.

To run the PC Audio Requirements test on the test/host system

  1. At the Test Manager window in the Available Tests for Selected Test Category pane, select PC Audio Requirements, and then click Add Selection.
  2. Click Start Tests.
  3. Follow the instructions displayed until the test is completed.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Warning

Windows XP HCT 10.0 - Audio

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.